1

I'm trying to run my QML/C++ app on my Nexus 5 running Ubuntu 14.10 (r14) (ubuntu-rtm-devel) but it doesn't seem to work. I used to be able to do this without problems.
Here is an image of the devices tab in the SDK:enter image description here

I have an ubuntu-sdk-14.10 armhf click chroot configured but it still says there are no kits configured for this device. When I try to click "Autocreate" I get an error dialog with the title "Unknown device architecture" and description "Kit autocreation for error is not supported!".
Although it seems it does recognize the phone's architecture as being armhf, because in the log it says:

Check device image version..
Nexus 5 
aosp_hammerhead 
hammerhead 
14 
armhf

Also at the end of the log it says:

Are developer tools installed..
0

..developer tools are not installed.

Which might be the problem. I just don't know what developer tools it is talking about.
I'm running Utopic on the desktop.
Any help is appreciated! =)

0

I followed the instructions in this answer: https://askubuntu.com/a/547905
It fixed the problem =)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.